#
# spec file for package golang-github-jpoirier-cpu
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Sascha Peilicke <saschpe@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           golang-github-jpoirier-cpu
Version:        0.0.0+git20141224.5b5a7ea 
Release:        1.2
Summary:        A Go package that reports processor topology
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://github.com/jpoirier/cpu
Source0:        cpu-%{version}.tar.xz
BuildRequires:  golang-packaging
BuildRequires:  xz
Provides:       go-cpu = %{version}
Obsoletes:      go-cpu < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  %{ix86} x86_64
%{go_provides}

%description
The cpu package reports processor topology information.

Note that the term package refers to a physical processor and system refers to
multiple packages. Also, a processor's hardware capability may differ from its
configuration.

%gosrc_package

%prep
%setup -q -n cpu-%{version}
chmod -x README LICENSE cpu_example.go

%build
%goprep github.com/jpoirier/cpu
%gobuild

%install
%goinstall
%gosrc

%files
%defattr(-,root,root,-)
%doc LICENSE README cpu_example.go
%{go_contribdir}/*

%files source
%defattr(-,root,root,-)
%{go_contribsrcdir}/*

%changelog
* Wed Sep  2 2015 dvaleev@suse.com
- set ExclusiveArch to intel architecture.
  (Requires cpuid instuction)
* Sat Jul 25 2015 i@marguerite.su
- rename golang-github-jpoirier-cpu
- update version 0.0.0+git20141224.5b5a7ea
- use golang-packaging for packaging
* Tue Aug 13 2013 speilicke@suse.com
- Update to version 0.0.0+git20120228.3403179:
  + Upstream provides no changelog
- Add _service file
* Tue Aug 13 2013 speilicke@suse.com
- Use %%{go_exclusivearch} macro
* Fri Jun 24 2011 saschpe@suse.de
- Initial version
